Bug 589147 - abrtd has insufficient privileges for saving sosreport
abrtd has insufficient privileges for saving sosreport
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: abrt (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Denys Vlasenko
Michal Nowak
:
Depends On: 598978
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-05 10:06 EDT by Matthias Schroder
Modified: 2013-03-07 21:09 EST (History)
9 users (show)

See Also:
Fixed In Version: abrt-1.1.6-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:32:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (2.51 KB, patch)
2010-06-10 08:31 EDT, Denys Vlasenko
no flags Details | Diff

  None (edit)
Description Matthias Schroder 2010-05-05 10:06:59 EDT
Description of problem: from /var/log/messages: 

abrtd: Can't open '/tmp/sosreport-thisnode-20100504103349-c00f.tar.bz2': Permission denied
abrtd: Activation of plugin 'SOSreport' was not successful: Can't copy '/tmp/sosreport-thisnode-20100504103349-c00f.tar.bz2' to '/var/cache/abrt/kerneloops-1272962001-1/sosreport.tar.bz2'
Version-Release number of selected component (if applicable):

How reproducible: ?


Steps to Reproduce: 
1. produce kerneloops (e.g. with help of #574570)
2. reboot the machine
3. read /var/log/messages
  
Actual results: frustrated abrtd


Expected results: happy abrtd


Additional info: 
[root@thisnode ~]# ls -l /tmp/sosreport--201005041*
-rw-------. 1 root root 198155 May  4 10:33 /tmp/sosreport-thisnode-20100504103349-c00f.tar.bz2
-rw-r--r--. 1 root root     33 May  4 10:33 /tmp/sosreport-thisnode-20100504103349-c00f.tar.bz2.md5
-rw-------. 1 root root 217481 May  4 16:52 /tmp/sosreport-thisnode-20100504165249-1dba.tar.bz2
-rw-r--r--. 1 root root     33 May  4 16:52 /tmp/sosreport-thisnode-20100504165249-1dba.tar.bz2.md5
[root@ ~]#
Comment 2 RHEL Product and Program Management 2010-05-05 12:14:37 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Denys Vlasenko 2010-06-02 09:28:48 EDT
Created a bug against sosreport:

bug 598978 "RFE: provide a way to specify destination filename"
Comment 4 Denys Vlasenko 2010-06-10 08:31:07 EDT
Created attachment 422888 [details]
Proposed patch

The patch uses "sosreport --tmp-dir DUMPDIR" to avoid /tmp access problem.

However, this patch requires fixed sosreport first (bug 598978).
Comment 5 Denys Vlasenko 2010-06-14 15:07:24 EDT
Slightly modified patch is applied to git, will be in the next abrt build (abrt-1.1.6)
Comment 8 releng-rhel@redhat.com 2010-11-10 14:32:56 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.